---
# Create a NetBSD/EC2 instance and get it to basic state
#
# Assumes:
#  - ec2-webservers and ec2-dbservers security groups
#  - all $EC2... variables set
#
# Run:
#    ansible-playbook -i hosts-HF config-ec2-prepare-db+web-vm.yml
#
# Copyright (c) 2013 Hubert Feyrer <hubert@feyrer.de>
#

 - hosts:
   - localhost
   connection: local
   gather_facts: false
   vars:
      keypair: eucaHF
      instance_type: t1.micro
      security_group: ec2-webservers
      image: ami-5d0f8034
      #image: ami-5d0f8034	= NetBSD-i386-6.0.1-20121228-0908
      #image: ami-a754dbce	= NetBSD-x86_64-6.0.1-20121227-1659 

   tasks:
    - include: config-ec2-prepare1vm.yml security_group=ec2-webservers
    - include: config-ec2-prepare1vm.yml security_group=ec2-dbservers
